--Plane in Perspective

local gr = love.graphics

local tex = require 'texture_effect'

function love.load()
	texture = gr.newImage( 'checkerboard.jpg' )
	gr.setBackgroundColor( 55, 55, 255, 255 )
	love.window.setTitle( 'Quad Texturing Effect Test' )
	-- quad order {{UL},{UR},{LR},{LL}}
	quad	= { {-0.3,-0.5 },{ 0.3,-0.5},{ 0.6, 0.5},{-0.6, 0.5 } }
	loc		= { 400, 300 }		-- location of center of plane
	sz		= { 600, 200 }		-- resize plane
	for i = 1, #quad do			-- apply changes
		quad[i][1] = sz[1] * quad[i][1] + loc[1]
		quad[i][2] = sz[2] * quad[i][2] + loc[2]
		end
	tex.load()					-- load effect
	-- texture point { {order top},{bottom}}
	-- note if bottom >1, texture is repeated
	tx = {{0,0},{1,1}}			-- portion of texture to apply
	end

function love.draw()
	tex.quad( texture, quad, tx )
	gr.setColor( 255, 255, 0, 255 )
	gr.print( 'fps: '..love.timer.getFPS( ), 10, 20 )
	end

function love.keypressed( key )
	if key == "escape" then love.event.quit() end
	end

function love.update( dt ) end


